Katello - Bug #6740

Confusing label "Enabled by Default™ in Activation key - Product Content tab
07/22/2014 08:05 PM - Thomas McKay

Status: Closed

Priority: Normal

Assignee: Thomas McKay

Category:

Target version: Katello 2.0

Difficulty: easy

Triaged: Yes

Bugzilla link: 1111355

Pull request: https://github.com/Katello/katello/pull/447
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1111355

Description of problem:
Confusing label "Enabled by Default" in Activation key - Product Content tab

Version-Release number of selected component (if applicable):
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.18-1.el6sat.noarch
foreman-compute-1.6.0.18-1.el6sat.noarch
foreman-gce-1.6.0.18-1.el6sat.noarch
foreman-libvirt-1.6.0.18-1.el6sat.noarch
foreman-ovirt-1.6.0.18-1.el6sat.noarch
foreman-postgresql-1.6.0.18-1.el6sat.noarch
foreman-proxy-1.6.0.8-1.el6sat.noarch
foreman-selinux-1.6.0-4.el6sat.noarch
foreman-vmware-1.6.0.18-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.49-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
openldap-devel-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.21.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.21.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.21.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.21.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.21.beta.el6sat.noarch
pulp-selinux-2.4.0-0.21.beta.el6sat.noarch
pulp-server-2.4.0-0.21.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always
https://bugzilla.redhat.com/show_bug.cgi?id=1111355

Steps to Reproduce:

1. Upload a manifest

2. Create an activation key and add subscriptions
3. Navigate to activation key -> Product Content tab

Actual results:
The label "Enabled by Default" is confusing in this context.

Example:
Red Hat Enterprise Linux 6 Server (Kickstart) - Enabled by Default - Defaults to No

Expected results:
The label can be changed to "Enabled?" to make more sense in this context.

Example:
Red Hat Enterprise Linux 6 Server (Kickstart) - Enabled? - Defaults to No

Additional info:

Associated revisions

Revision c9f6b205 - 07/22/2014 08:20 PM - Thomas McKay
fixes #6740 - cleared up enabled text

Revision 66a8f3ea - 07/22/2014 08:20 PM - Thomas McKay
fixes #6740 - cleared up enabled text

Revision 437633d0 - 07/24/2014 09:24 AM - Thomas McKay
Merge pull request #4477 from thomasmckay/6740-enabled-label
fixes #6740 - cleared up enabled text

Revision 2¢23e3b3 - 07/24/2014 09:24 AM - Thomas McKay
Merge pull request #4477 from thomasmckay/6740-enabled-label

fixes #6740 - cleared up enabled text

History

#1 - 07/22/2014 08:23 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4477 added
- Pull request deleted ()

#2 - 07/24/2014 10:01 AM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|c9f6b20556bd294cc1363f1462e55f7cbc616867.

#3 - 07/25/2014 10:34 AM - Eric Helms
- Difficulty set to easy

- Triaged changed from No to Yes

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
